var mymap = L.map('mymap').setView([38.891, 139.824], 16);
L.tileLayer('http://cyberjapandata.gsi.go.jp/xyz/std/{z}/{x}/{y}.png', {
 attribution:
   '<a href="http://maps.gsi.go.jp/development/ichiran.html">国土地理院</a>'
}).addTo(mymap);

function latlngdist(pos1, pos2) {	// leaflet.js標準 distanceTo()
    return pos1.distanceTo(pos2);	// を利用して距離(m)を求める
}
var path = [];				// クリックしたすべての点を保持する
var line = null;			// polylineオブジェクトを保持する
var lineprop = {			// polylineのプロパティ
    color: 'red', opacity: 0.4, weight: 8
};
var sMarker, gMarker;			// 始点終点マーカ
var totalDist = 0;			// 積算距離
var info = document.getElementById('info');	// 情報表示用要素
function updatedistance(delta) {	// 距離の加算を行ない結果を
    totalDist += delta;			// info要素に距離を表示する
    info.innerHTML = 'どのくらい距離あるん??: '+Math.round(totalDist*100)/100+'m';
}
function resetPath() {			// 初期状態に戻す
    sMarker.remove(mymap);		// 始点マーカの除去
    gMarker.remove(mymap);		// 終点マーカの除去
    line.remove(mymap);			// 軌跡Polylineの除去
    line = sMarker = gMarker = null;
    path = [];
    totalDist = 0;
    mymap.doubleClickZoom.enable();	// ダブルクリックズーム許可
    info.innerHTML = 'クリア!!';
